Subject: Re: Installing from local directory -- trying to avoid massive duplication of effort
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 14 Mar 2002 15:37:26 -0500

On Thu, Mar 14, 2002 at 03:25:36PM -0500, Phil Edwards wrote:
>On Thu, Mar 14, 2002 at 03:03:35PM -0500, Christopher Faylor wrote:
>> >But when running setup again and chosing the "install from local"
>> >option, I have to make the same choices over again, not all of which I
>> >remember (and it's a lot of clicking besides).  Is there a method, when
>> >using "install from local," of simply installing every package that's
>> >present in the local cache?
>> 
>> If I was doing this, I would just use shell scripts or bat files to
>> install things and skip setup.exe.  IMO, setup.exe isn't the appropriate
>> tool for this job.  A shell script or .bat job is.  setup.exe is
>> designed to be a tool for installing from the internet.  Isn't intended
>> to be used as a mass-deployment tool.  There's too much potential for
>> user error if you tell people to use setup.exe.
>
>Oh, it wouldn't be "people" using setup.exe; it would be me.  Over and
>over and over and over...

And you're infallible?  This is YA reason why you should just script this.

>> However, I guess you could probably do what you need by creating your
>> own setup.ini file:  http://cygwin.com/setup.html .
>
>Hmmmmm... so, something like
>
>    0)  choose download-only mode
>    1)  select the packages I want
>    2)  download them
>    3)  edit setup.ini and add 'Base' to the "category:" line for the
>        additional packages I want to install (and have downloaded)
>    4)  on each client system,
>     4a)  make the package "cache" and edited setup.ini available
>     4b)  choose install-from-local
>    5)  fervent invocation of deity
>
>I'll try this once my experimentatal-W2K box gets done thrashing around.

Either that or something like (untested):

    mkdir c:\cygwin
    cd c:\cygwin
    c:\whereever\tar xjf /cygdrive/c/whereever/cygwin-*.tar.bz2
    mount -f -s -b c:/cygwin /
    mount -f -s -b c:/cygwin/lib /usr/lib
    mount -f -s -x -b c:/cygwin/bin /usr/bin
    c:\whereever\tar xjf /cygdrive/c/whereever/bash-*.tar.bz2
    bin/bash
    for f in /cygdrive/c/whereever/*.tar.bz2; do
	case "$f" in
	    cygwin-*)	;;
	    bash-*)	;;
	    *) /cygdrive/c/whereever/tar xjf $f ;;
	esac
    done
    cd /etc/postinstall
    for f in *.sh; do /bin/sh ./$f; done
    for f in *.bat; do cmd /c .\\$f; done
    exit

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/